[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: As of F12 RC3 my printer model is still not shown



On Tue, 2009-11-10 at 18:27 -0600, Jim Haynes wrote:
> On Tue, 10 Nov 2009, Scott Robbins wrote:
> 
> > Have you installed foomatic?  I would do yum install foomatic, if you
> > haven't already, and see if it's listed there.
> >
> Looks like foomatic is not on the RC3 disk set.  Is that intentional?
> I thought it was a fairly important piece of the system.

Oh... yes and no. ;-)

The foomatic package is not meant to be installed by default any more.
It is only there for older print drivers not yet using the CUPS
architecture properly.  It is not required except if your device can
only be driven by one of these older drivers.  It basically provides the
glue to stick those older drivers to the newer architecture.  If there
is a driver that doesn't require this glue, it's generally better to use
that instead.

The foomatic-db-ppds package though (a sub-package of foomatic-db)
certainly is useful for modern printers.  This provides PPD files for
many PostScript printers -- yes, including your Brother HL-5250DN.

I realise that the way this ought to work is for the correct package to
get installed via PackageKit by system-config-printer when it sees which
hardware is connected, and I am working on getting that feature ready
for Fedora 13:
https://fedoraproject.org/wiki/Features/AutomaticPrintDriverInstallation

In the mean time, though, perhaps I ought to issue a
system-config-printer update for Fedora 12 to add "Requires:
foomatic-db-ppds" to the system-config-printer package.  Unfortunately
foomatic-db-ppds is 15Mb. :-(

Thoughts?

Tim.
*/

Attachment: signature.asc
Description: This is a digitally signed message part


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]